## org.red5.server
Class Scope.Builder

    java.lang.Object
      org.red5.server.Scope.Builder

Enclosing class:
  Scope

    public static final class Scope.Builder

extends Object

Builder pattern

Constructor Summary
`Scope.Builder()`
`Scope.Builder(IScope parent, String type, String name, boolean persistent)`
`Scope.Builder(String name)`

Method Summary
`Scope` `build()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scope.Builder

    public Scope.Builder()

### Scope.Builder

    public Scope.Builder(String name)

### Scope.Builder

    public Scope.Builder(IScope parent,
                         String type,
                         String name,
                         boolean persistent)

Method Detail

### build

    public Scope build()

Copyright © 2006-2010 The Red5 Project